Subject: image data orientation

From: gjarvis at synapse.net
Date: 24 Mar 1996 02:37:55 GMT

I can not find any information on image orientation in fits standard, just how 
memory is organised as first dimension varies fastest.
For example a two dimensional image:

1) is NAXIS1 corresponds two vertical rows of image and NAXIS2  corresponds 
to horizontal columns of data image or is it column row?

2) is data[1,1] top left, or top right, or bottom left, or bottom right of image?

What about higher dimensions

---

From: Mark Calabretta <mcalabre at atnf.csiro.au>
Date: Tue, 26 Mar 1996 09:40:20 +1100

On Sun 1996/03/24 02:37:55 GMT, gjarvis at synapse.net wrote
in a message to: fitsbits at fits.cv.nrao.edu

>What about higher dimensions

There is no formal image orientation convention in FITS but one is proposed as
part of WCS (c.f. fits.cv.nrao.edu:/fits/documents/wcs/wcs.all.ps.Z), section
2.4.

WCS formalises the de facto convention which has (1,1) at bottom left, NAXIS1
horizontal, NAXIS2 vertical.

Mark Calabretta
ATNF

---

From: bschlesinger at nssdca.gsfc.nasa.gov (Barry M. Schlesinger)
Date: 28 Mar 1996 11:12 EDT

In article <4j2ci3$jqc at piano.synapse.net>, gjarvis at synapse.net writes...
>What about higher dimensions

Information on the correspondence between the FITS array and the image 
it represents is provided by the values of the CTYPEn keywords, which 
identify the coordinate axes, the CRPIXn keywords, which identify a 
reference pixel for the coordinate transformation, and the CRVALn and 
CDELTn keywords, which specify the coordinate value at the reference 
pixel and the coordinate increment corresponding to a change of one 
position along each axis.

In the proposal by Greisen and Calabretta, they recommend that FITS
writers order the pixels so that the first pixel for each image plane
would be displayed as the lower left corner, with the first axis
increasing to the right and and the second axis increasing upward, by
the imaging system of that FITS writer.  FITS writers would still be 
expected to provide complete descriptions of the image coordinates, 
allowing the user to determine the meaning of the image.  And users 
could, if they wished, examine the axis descriptions and choose a 
different display.

					Barry Schlesinger
					FITS Support Office
					GSFC/ADF